import 'package:flutter/material.dart';
import 'package:millui/millui.dart';

import '../../app_provider.dart';

class Tag extends StatefulWidget {
  _Tag createState() => new _Tag();
}

class _Tag extends State<Tag> {
  int _value = 1;
  onPressed() {
    print(111);
  }

  @override
  Widget build(BuildContext context) {
    bool isCn = getLanage(context);
    String btnText = isCn ? '确定' : 'OK';
    return Scaffold(
        appBar: AppBar(
          title: Text('radio'),
        ),
        body: Container(
          padding: EdgeInsets.all(10),
          child: ListView(
            scrollDirection: Axis.horizontal,
            children: <Widget>[
              MillTag(
                '山不在高有仙则名，水不在深有龙则灵',
                showClose: false,
                onClose: (id) {
                  print(id);
                },
              ),
              Padding(padding: EdgeInsets.only(left: 10)),
              MillTag(
                '苹果',
                showClose: false,
                type: MillTagType.normal,
              ),
              Padding(padding: EdgeInsets.only(left: 10)),
              MillTag(
                '香蕉',
                type: MillTagType.warning,
              ),
              Padding(padding: EdgeInsets.only(left: 10)),
              MillTag(
                '橘子',
                type: MillTagType.error,
              ),
            ],
          ),
        ));
  }
}
