import 'package:flutter/material.dart';
import 'package:millui/millui.dart';

import '../../app_provider.dart';

class RadioTag extends StatefulWidget {
  _RadioTag createState() => new _RadioTag();
}

class _RadioTag extends State<RadioTag> {
  int _value = 1;
  onPressed() {
    print(111);
  }

  @override
  Widget build(BuildContext context) {
    bool isCn = getLanage(context);
    String btnText = isCn ? '确定' : 'OK';
    return Scaffold(
        appBar: AppBar(
          title: Text('radio'),
        ),
        body: Container(
          padding: EdgeInsets.all(10),
          child: ListView(
            children: <Widget>[
              MillRadioTag(
                wrap: true,
                maxWidth: 200,
                onChanged: (data) {
                  setState(() {
                    _value = data['value'];
                  });
                },
                value: _value,
                list: [
                  {'label': '苹果苹果苹果苹果苹果苹果苹果苹果苹果苹果苹果苹果', 'value': 1},
                  {'label': '橘子', 'value': 2},
                  {'label': '香蕉', 'value': 3},
                  {'label': '哈密瓜', 'value': 4},
                  {'label': '桃子', 'value': 5},
                  {'label': '橙子', 'value': 6},
                  {'label': '菠萝', 'value': 7},
                  {'label': '西瓜', 'value': 8},
                ],
              ),
              MillRadioTag(
                onChanged: (data) {
                  setState(() {
                    _value = data['value'];
                  });
                },
                value: _value,
                list: [
                  {'label': '苹果', 'value': 1},
                  {'label': '橘子', 'value': 2},
                  {'label': '香蕉', 'value': 3},
                  {'label': '哈密瓜', 'value': 4},
                ],
              ),
              Padding(padding: EdgeInsets.all(20)),
              MillRadioCard(
                onChanged: (data) {
                  setState(() {
                    _value = data['value'];
                  });
                },
                value: _value,
                list: [
                  {'label': '苹果', 'value': 1},
                  {'label': '橘子', 'value': 2},
                  {'label': '香蕉', 'value': 3},
                  {'label': '哈密瓜', 'value': 4},
                ],
              ),
            ],
          ),
        ));
  }
}
