import 'package:flutter/material.dart';
import 'package:millui/millui.dart';

class Steps extends StatefulWidget {
  _Steps createState() => new _Steps();
}

class _Steps extends State<Steps> {
  int step = 0;
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('steps'),
      ),
      body: Container(
        padding: EdgeInsets.symmetric(horizontal: 15),
        child: ListView(
          children: [
            MillSteps(
              step: step,
              list: lis,
            ),
            Padding(padding: EdgeInsets.all(10)),
            MillSteps(
              step: step,
              list: lis2,
              status: 0,
              activeColor: Color(0xfff56c6c),
            ),
            Padding(padding: EdgeInsets.all(10)),
            MillSteps(
              step: step,
              list: lis3,
            ),
            Padding(padding: EdgeInsets.all(10)),
            MillSteps(
              list: lis3,
              width: 60,
            ),
            Padding(padding: EdgeInsets.all(10)),
            MillButton(
              onPressed: () {
                setState(() {
                  step++;
                });
              },
              child: Text('下一步'),
            ),
            MillButton(
              onPressed: () {
                if (step > 0) {
                  setState(() {
                    step--;
                  });
                }
              },
              child: Text('上一步'),
            ),
          ],
        ),
      ),
    );
  }
}

List lis = ['新建', '分配行业', '审核', '分配行业顾问', '分配应收', '完成'];
List lis2 = ['新建', '分配行业', '审核', '分配应收', '完成'];
List lis3 = ['新建', '分配行业', '审核', '分配行业顾问', '完成'];
